#!/bin/bash
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
LOG_FILE="/tmp/watchdog.log"

for elm in $(cat $LOG_FILE)
do
	echo $elm|grep "DATE" > /dev/null
	if [ $? -eq 0 ]
	then
		last_test=$(echo $elm|cut -d"=" -f2)
	fi

	echo $elm|grep "NEXT" > /dev/null
        if [ $? -eq 0 ]
        then
                next_test=$(echo $elm|cut -d":" -f2)
        fi

       	echo $elm|grep "CHECKED" > /dev/null
        if [ $? -eq 0 ]
        then
                checked_nb=$(echo $elm|cut -d":" -f2)
        fi
done 

current_time=$(date +"%s")


(( diff_time = current_time - last_test ))
(( diff_tolerate = next_test * 2 ))

echo "Last exec : $diff_time s < $diff_tolerate s tolerate ( $next_test x 2 ) ?"
if [ $diff_time -lt $diff_tolerate ]
then
	echo "=> YES"
else
	echo "=> NO - try to restart watchdog"
	service watchdog start && service watchdog status || exit 1
fi

echo "Checks executed ? "
if [ $checked_nb -gt 0 ]
then
        echo "=> YES"
else
        echo "=> NO - Check the watchdog configuration"
        exit 1
fi

echo "Service runned ?"
service watchdog status
if [ $? -eq 0 ]
then
	 echo "=> YES"
else
	echo "=> NO - try to restart watchdog"
        service watchdog start && service watchdog status || exit 1
fi

exit 0
